<?xml version="1.0" encoding="UTF-8"?>
<!--
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - JaDOrT: JASMINe Deployment Orchestration Tool
 - Copyright (C) 2008-2009 Bull S.A.S.
 - Copyright (C) 2008-2009 France Telecom R&D
 - Contact: jasmine@ow2.org
 -
 - This library is free software; you can redistribute it and/or
 - modify it under the terms of the GNU Lesser General Public
 - License as published by the Free Software Foundation; either
 - version 2.1 of the License, or any later version.
 -
 - This library is distributed in the hope that it will be useful,
 - but WITHOUT ANY WARRANTY; without even the implied warranty of
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 - Lesser General Public License for more details.
 -
 - You should have received a copy of the GNU Lesser General Public
 - License along with this library; if not, write to the Free Software
 - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 - USA
 -
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - $Id: Topology with JOnAS servers.xml 3756 2009-05-26 14:19:34Z ardaaydin $
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<topology>
  <worker name="lb1" type="mod_proxy_balancer" >
    <URLConnector
      URL="http://localhost/jkmanager"
      username="admin"
      password="admin"/>
  </worker>
  <worker name="lb2" type="mod_proxy_balancer" >
    <URLConnector
      URL="http://localhost/jkmanager"
      username="admin"
      password="admin"/>
  </worker>
  <group name="xyleme-MyStore" clustered="false">
    <server name="jonas1" type="jonas" capacity="100">
      <URLConnector
        URL="service:jmx:rmi://xyleme.frec.bull.fr/jndi/rmi://xyleme.frec.bull.fr:11099/jrmpconnector_jonas1"
        username="jonas"
        password="jonas"/>
      <balancer worker="lb1" server="http://localhost:9000/"/>
    </server>
    <server name="jonas2" type="jonas" capacity="100">
      <URLConnector
        URL="service:jmx:rmi://xyleme.frec.bull.fr/jndi/rmi://xyleme.frec.bull.fr:21099/jrmpconnector_jonas2"
        username="jonas"
        password="jonas"/>
      <balancer worker="lb1" server="http://127.0.0.1:9000/"/>
    </server>
    <server name="jonas3" type="jonas" capacity="100">
      <URLConnector
        URL="service:jmx:rmi://xyleme.frec.bull.fr/jndi/rmi://xyleme.frec.bull.fr:31099/jrmpconnector_jonas3"
        username="jonas"
        password="jonas"/>
      <balancer worker="lb1" server="w_jonas3"/>
    </server>
  </group>
  <group name="xyleme-jndiTree" clustered="true">
    <server name="jonas4" type="jonas" capacity="100">
      <URLConnector
        URL="service:jmx:rmi://xyleme.frec.bull.fr/jndi/rmi://xyleme.frec.bull.fr:41099/jrmpconnector_jonas4"
        username="jonas"
        password="jonas"/>
      <balancer worker="lb2" server="w_jonas4"/>
    </server>
    <server name="jonas5" type="jonas" capacity="100">
      <URLConnector
        URL="service:jmx:rmi://xyleme.frec.bull.fr/jndi/rmi://xyleme.frec.bull.fr:51099/jrmpconnector_jonas5"
        username="jonas"
        password="jonas"/>
      <balancer worker="lb2" server="w_jonas5"/>
    </server>
  </group>
</topology>
